org.apache.sysds.runtime.lineage

## Class LineageRewriteReuse

- java.lang.Object
- - org.apache.sysds.runtime.lineage.LineageRewriteReuse

    public class LineageRewriteReuse
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`LineageRewriteReuse()`

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `executeRewrites(Instruction curr, ExecutionContext ec)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LineageRewriteReuse

    public LineageRewriteReuse()

### Method Detail

#### executeRewrites

    public static boolean executeRewrites(Instruction curr,
                                          ExecutionContext ec)